Subject: Re: bug#5293: 23.1; unload-feature on buffer-local hooks

From: Juanma Barranquero <[email-masked]>
Date: Mon, 6 Apr 2020 22:39:50 +0200

On Mon, Apr 6, 2020 at 7:24 PM Štěpán Němec <[email-masked]> wrote:

> Actually, I wonder if ignoring even the global hooks (as opined by
> Juanma) and enforcing more widespread usage of FEATURE-unload-function
> wouldn't be better;

Anything automatically done in the unload-hook is just an ad hoc fix for
things the
module author knows how to do better than us. FEATURE-unload-function has
already
been there for a few years. I don't remember right now whether we suggest
in the
mode-creation documentation to use it, but certainly that's something
module authors
should do, and the automatic unloading is just a last-resort feature for
those old
modules that don't. There's no point IMHO to make the hands off approach
work better.